import React from 'react';
import ReactDOM from 'react-dom/client';
import { RouterProvider, createHashRouter } from 'react-router-dom';
import './index.css';
// import reportWebVitals from './reportWebVitals';

import RouterView from './router/index';

const router = createHashRouter(RouterView);

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  // 严格模式
  <React.StrictMode>
    <RouterProvider router={router} />
  </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
// reportWebVitals();
