// 引入页面
import Login from '../view/login/index';
import Home from '../view/home/index';

// 引入骨架页
import Skeleton from '../view/skeleton/index';
import { Children } from 'react';

const router = [
  {
    path: '/',
    element: <Login />
  },
  {
    path: '/home',
    element: <Skeleton />,
    children: [
        { path: '', element: <Home /> }
    ]
  }
];

export default router;
